# Uses of Interface
org.eclipse.emf.cdo.transaction.CDOMerger

Packages that use CDOMerger
Package
Description
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.workspace
Concepts to checkout, open and further operate CDO `workspaces`.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOMerger in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util that return CDOMerger
Modifier and Type
Method
Description
`protected CDOMerger`
CoreDeliveryMerger.`createMerger()`

## Uses of CDOMerger in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOMerger
Modifier and Type
Method
Description
`protected CDOMerger`
ICommitConflictResolver.Merging.`createMerger()`

## Uses of CDOMerger in org.eclipse.emf.cdo.transaction

Subinterfaces of CDOMerger in org.eclipse.emf.cdo.transaction
Modifier and Type
Interface
Description
`interface`
`CDOMerger2`
Merges the changes between a local `transaction` and a remote `view` into the local transaction.
Methods in org.eclipse.emf.cdo.transaction that return CDOMerger
Modifier and Type
Method
Description
`CDOMerger`
CDOMerger.ConflictException.`getMerger()`
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOMerger
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDOMerger merger)`
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOMerger merger)`
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranchPoint source, CDOMerger merger)`
`CDOChangeSetData`
CDOPushTransaction.`merge(CDOBranch source, CDOMerger merger)`
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDOMerger merger)`
Merges the changes between the given source base point and the given source point into this transaction.
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOMerger merger)`
Merges the changes between the given source base point and the given source point into this transaction.
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranchPoint source, CDOMerger merger)`
Merges the changes from the given source point into this transaction and possibly considers previous merges from that `branch` by inspecting the `merge source` information of the `commit history`.
`CDOChangeSetData`
CDOTransaction.`merge(CDOBranch source, CDOMerger merger)`
Merges the changes from the given source branch into this transaction and possibly considers previous merges from that branch by inspecting the `merge source` information of the `commit history`.
Constructors in org.eclipse.emf.cdo.transaction with parameters of type CDOMerger
Modifier
Constructor
Description
``
`ConflictException(String message, Throwable cause, CDOMerger merger, CDOChangeSetData result)`
``
`ConflictException(String message, CDOMerger merger, CDOChangeSetData result)`

## Uses of CDOMerger in org.eclipse.emf.cdo.workspace

Methods in org.eclipse.emf.cdo.workspace with parameters of type CDOMerger
Modifier and Type
Method
Description
`CDOTransaction`
CDOWorkspace.`merge(CDOMerger merger, String branchPath)`
`CDOTransaction`
CDOWorkspace.`merge(CDOMerger merger, String branchPath, long timeStamp)`
`CDOTransaction`
CDOWorkspace.`update(CDOMerger merger)`

## Uses of CDOMerger in org.eclipse.emf.spi.cdo

Classes in org.eclipse.emf.spi.cdo that implement CDOMerger
Modifier and Type
Class
Description
`class`
`DefaultCDOMerger`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`DefaultCDOMerger.PerFeature`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`DefaultCDOMerger.PerFeature.ManyValued`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`DefaultCDOMerger.PerFeature.ManyValuedOld`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo that return CDOMerger
Modifier and Type
Method
Description
`CDOMerger`
CDOMergingConflictResolver.`getMerger()`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOMerger
Modifier
Constructor
Description
``
`CDOMergingConflictResolver(CDOMerger merger)`
``
`CDOMergingConflictResolver(CDOMerger merger, boolean ensureRemoteNotifications)`